libgimpprint API Reference: olympus_privdata_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# olympus_privdata_t Struct Reference

## Data Fields
int | xdpi
int | ydpi
int | xsize
int | ysize
char | plane
int | block_min_x
int | block_min_y
int | block_max_x
int | block_max_y
const char * | pagesize
const laminate_t * | laminate

## Field Documentation

int olympus_privdata_t::block_max_x

| Definition at line 130 of file print-olympus.c. Referenced by olympus_do_print(), p10_block_init_func(), p300_block_init_func(), p400_block_init_func(), p440_block_end_func(), and p440_block_init_func().

int olympus_privdata_t::block_max_y

| Definition at line 130 of file print-olympus.c. Referenced by olympus_do_print(), p10_block_init_func(), p300_block_init_func(), p400_block_init_func(), p440_block_end_func(), and p440_block_init_func().

int olympus_privdata_t::block_min_x

| Definition at line 129 of file print-olympus.c. Referenced by olympus_do_print(), p10_block_init_func(), p300_block_init_func(), p400_block_init_func(), p440_block_end_func(), and p440_block_init_func().

int olympus_privdata_t::block_min_y

| Definition at line 129 of file print-olympus.c. Referenced by olympus_do_print(), p10_block_init_func(), p300_block_init_func(), p400_block_init_func(), p440_block_end_func(), and p440_block_init_func().

const laminate_t* olympus_privdata_t::laminate

| Definition at line 132 of file print-olympus.c. Referenced by olympus_do_print(), p10_printer_init_func(), p440_printer_init_func(), and updp10_printer_end_func().

const char* olympus_privdata_t::pagesize

| Definition at line 131 of file print-olympus.c. Referenced by cpx00_printer_init_func(), cx400_printer_init_func(), olympus_do_print(), p400_block_init_func(), p400_printer_init_func(), p440_block_init_func(), and p440_printer_init_func().

char olympus_privdata_t::plane

| Definition at line 128 of file print-olympus.c. Referenced by cpx00_plane_init_func(), olympus_do_print(), p10_block_init_func(), p200_plane_init_func(), p300_block_init_func(), p300_plane_end_func(), and p400_block_init_func().

int olympus_privdata_t::xdpi

| Definition at line 126 of file print-olympus.c. Referenced by olympus_do_print(), and p300_printer_init_func().

int olympus_privdata_t::xsize

| Definition at line 127 of file print-olympus.c. Referenced by cpx00_plane_init_func(), cx400_printer_init_func(), olympus_do_print(), p200_plane_init_func(), p400_block_init_func(), p400_printer_init_func(), p440_block_init_func(), p440_printer_init_func(), updp10_printer_end_func(), and updp10_printer_init_func().

int olympus_privdata_t::ydpi

| Definition at line 126 of file print-olympus.c. Referenced by olympus_do_print(), and p300_printer_init_func().

int olympus_privdata_t::ysize

| Definition at line 127 of file print-olympus.c. Referenced by cpx00_plane_init_func(), cx400_printer_init_func(), olympus_do_print(), p200_plane_init_func(), p400_block_init_func(), p400_printer_init_func(), p440_block_init_func(), p440_printer_init_func(), updp10_printer_end_func(), and updp10_printer_init_func().

The documentation for this struct was generated from the following file:

- src/main/print-olympus.c